.adresa-content {
    position: fixed;
    height: 100vh;
    width: 100vW;
    background: url("../img/GAME_BACKGROUND.jpg") center top no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* HLAVNÍ OBSAH */
.content-container {
    position: relative;
    width: 100%;
    margin-top: var(--header);
    /* obsah začne až pod headerem */
    padding: 2rem;
    /* padding kolem obsahu */
    display: flex;
    flex: 1;
    flex-direction: column;
}

.btc-address-section {
    position: relative;
    padding: 1rem;
    flex-grow: 1;
}

.card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

h1 {
    align-content: end;
    margin: 0;
    min-height: 5rem;
}

.sub {
    opacity: .65;
    margin: 6px 0 0;
    min-height: 5rem;
}

.address-form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.message {
    text-align: center;
    color: #ffffff;
    font-size: 0.9rem;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.message.show {
    opacity: 0.65;
}

.btc-address {
    min-width: 250px;
    background: #111;
    color: #ffffff64;
    border: 1px solid #333;
    padding: 15px;
    text-align: center;
    outline: none;
    overflow-x: auto;

}

.copy-btn {
    min-width: 300px;
    background: var(--my-color-road-sign);
    color: #000;
    font-size: 1.1rem;
    font-weight: bold;
    border: none;
    padding: 15px;
    cursor: pointer;
    opacity: 1;
    transition: opacity 0.2s ease-in-out;
}

.copy-btn:hover {
    opacity: 0.85;
    /* zvýraznění */
}


/* >= 768px (tablet) */
/* md */
@media (min-width: 768px) {

    .btc-address-section {
        padding: 2rem;
    }
}